Skip to main content
POST
/
api
/
v1
/
drafts
/
Create draft
curl --request POST \
  --url https://api.kynva.ai/api/v1/drafts/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand_id": "<string>",
  "kit_version": "<string>",
  "context": {},
  "content_payload": {},
  "intent": {},
  "selections": {},
  "style_brief": {}
}
'
import requests

url = "https://api.kynva.ai/api/v1/drafts/"

payload = {
"brand_id": "<string>",
"kit_version": "<string>",
"context": {},
"content_payload": {},
"intent": {},
"selections": {},
"style_brief": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brand_id: '<string>',
kit_version: '<string>',
context: {},
content_payload: {},
intent: {},
selections: {},
style_brief: {}
})
};

fetch('https://api.kynva.ai/api/v1/drafts/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
draft_type
enum<string>
required
Available options:
post,
cover,
carousel,
story_pack,
video,
audio
brand_id
string
required
kit_version
string
required
context
object
required
content_payload
object
required
intent
object
selections
object
style_brief
object

Response

200

Default Response